> ## Documentation Index
> Fetch the complete documentation index at: https://developers.argosidentity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET/Projection/projectionId                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  

> This API gets a specific set of projection policies for the project that are accessible.

## 1. Endpoint

```text GET/Projection theme={null}
GET https://rest-api.argosidentity.com/v3/projection/{projectionId}
```

## 2. Authentication

Include the API key in the `x-api-key` header:

```text x-api-key theme={null}
x-api-key: {yourAPIKey}
```

## 3. Request Body

The request parameters should be sent as URL query parameters. Below are the parameter descriptions:

<ResponseField name="projectionId" type="string" required>
  The unique ID of a projection
</ResponseField>

## 4. Request Example

<Warning>
  There is no requirement for a parameter name; projectionId only requires a value.

  * [https://rest-api.argosidentity.com/v3/projection/55sqp8ma0jvwh](https://rest-api.argosidentity.com/v3/projection/55sqp8ma0jvwh) (O)
  * [https://rest-api.argosidentity.com/v3/projection/projectionId=55sqp8ma0jvwh](https://rest-api.argosidentity.com/v3/projection/projectionId=55sqp8ma0jvwh) (X)
</Warning>

```curl GET/Projection theme={null}
curl --location 'https://rest-api.argosidentity.com/v3/projection/{projectionId}' \
--header 'x-api-key: {yourAPIKey}'
```

## 5. Response

### 5-1. Success Response

<CodeGroup>
  ```json result-get-projection.json theme={null}
  {
      "item": {
          "projection_id": "{projection_id}",
          "name": "{name}",
          "mode": "{mode}",
          "fields": [
              "gender",
              "nationality"
          ],
          "created_at": "2023-12-01T12:34:56.789Z"
      },
      "message": "Get projection success"
  }
  ```
</CodeGroup>

### 5-2. Response Field

| Field Name      | Description                                                         | Data Type      | Category        |
| --------------- | ------------------------------------------------------------------- | -------------- | --------------- |
| `projection_id` | The unique ID of the generated projection                           | String         | Projection Info |
| `name`          | The projection name                                                 | String         | Projection Info |
| `mode`          | The projection mode. Currently, there is only the `exclude` option. | String         | Projection Info |
| `fields`        | The list to exclude specific fields.                                | Array\<String> | Projection Info |
| `created_at`    | Created Time (Type of ISO 8601)                                     | String         | Projection Info |

### 5-3. Error Codes

| Status Code | Error Message                                         | Description                                                               |
| ----------- | ----------------------------------------------------- | ------------------------------------------------------------------------- |
| 404         | Projection not found                                  | When required fields (name, mode, fields) are missing in the request body |
| 405         | Method not allowed for /projections/projectionId path | HTTP requests (PUT, DELETE, etc.) are not GET or POST.                    |
| 500         | Internal server error                                 | When the server encounters an unexpected exception error                  |
